Index: /main/trunk/model-sites-dev/opotiki/collect/imagesco/etc/collectionConfig.xml
===================================================================
--- /main/trunk/model-sites-dev/opotiki/collect/imagesco/etc/collectionConfig.xml	(revision 34135)
+++ /main/trunk/model-sites-dev/opotiki/collect/imagesco/etc/collectionConfig.xml	(revision 34136)
@@ -8,5 +8,5 @@
 	<displayItemList>
 		<displayItem assigned="true" lang="en" name="description">A Collection of Images. The TÄnewhirinaki Meeting-house was opened in 1886, at Waioeka pa in the 1920âs, however today it no longer stands.  The carvings on display are those that were brought back from the Auckland Museum and the complete collection stands at NgÄti Ira Marae.  The first meeting âhouse stood at Waioeka pa.  It was named TÄnewhirinaki after the eldest son of Muriwai, ancestress of WhakatÅhea.</displayItem>
-		<displayItem assigned="true" lang="en" name="name">Whakaahua Kohinga</displayItem>
+		<displayItem assigned="true" lang="en" name="name">Kohinga Whakaahua:  Photo collection</displayItem>
 		<displayItem assigned="true" lang="en" name="dc.Title,ex.dc.Title,Title">titles</displayItem>
 		<displayItem assigned="true" lang="en" name="dc.Caption">caption</displayItem>
Index: /main/trunk/model-sites-dev/opotiki/collect/textdemo/etc/collectionConfig.xml
===================================================================
--- /main/trunk/model-sites-dev/opotiki/collect/textdemo/etc/collectionConfig.xml	(revision 34135)
+++ /main/trunk/model-sites-dev/opotiki/collect/textdemo/etc/collectionConfig.xml	(revision 34136)
@@ -26,5 +26,5 @@
 The Trust Board has twelve members elected from the six hapÅ« of WhakatÅhea.  
 These elections take place every three years, the next election is due October 2021.</displayItem>
-		<displayItem assigned="true" lang="en" name="name">Documents Collection</displayItem>
+		<displayItem assigned="true" lang="en" name="name">Kohinga KÅrero:  Documents Collection</displayItem>
 		<displayItem assigned="true" lang="en" name="dc.Title,ex.dc.Title,Title">title</displayItem>
 		<displayItem assigned="true" lang="en" name="text">text</displayItem>
Index: /main/trunk/model-sites-dev/opotiki/collect/waiatade/etc/collectionConfig.xml
===================================================================
--- /main/trunk/model-sites-dev/opotiki/collect/waiatade/etc/collectionConfig.xml	(revision 34135)
+++ /main/trunk/model-sites-dev/opotiki/collect/waiatade/etc/collectionConfig.xml	(revision 34136)
@@ -17,5 +17,5 @@
 Traditionally all formal speeches are followed by a waiata sung by the speaker and their group of supporters. 
 Some of the smaller wind instruments are also sung into, and the sound of the poi (raupo ball swung on the end of a flax cord) provides a rhythmic accompaniment to waiata poi.</displayItem>
-		<displayItem assigned="true" lang="en" name="name">Waiata Kohinga</displayItem>
+		<displayItem assigned="true" lang="en" name="name">Kohinga Waiata:  Song Collections</displayItem>
 		<displayItem assigned="true" lang="en" name="text">text</displayItem>
 		<displayItem assigned="true" lang="en" name="dc.Title,ex.dc.Title,Title">titles</displayItem>
Index: /main/trunk/model-sites-dev/opotiki/resources/siteConfig.properties
===================================================================
--- /main/trunk/model-sites-dev/opotiki/resources/siteConfig.properties	(revision 34135)
+++ /main/trunk/model-sites-dev/opotiki/resources/siteConfig.properties	(revision 34136)
@@ -1,3 +1,4 @@
-siteName=My Greenstone Library
-siteDescription=This is a digital library built using the open-source Greenstone Digital Library software, version 3. Edit the site name and description in web/sites/localsite/siteConfig.xml or web/sites/localsite/resources/siteConfig_xx.properties.
+siteName=Whakairinga KÅrero o Te WhakatÅhea
+siteDescription=Whakairinga KÅrero o Te WhakatÅhea
 
+
Index: /main/trunk/model-sites-dev/opotiki/siteConfig.xml
===================================================================
--- /main/trunk/model-sites-dev/opotiki/siteConfig.xml	(revision 34135)
+++ /main/trunk/model-sites-dev/opotiki/siteConfig.xml	(revision 34136)
@@ -3,9 +3,16 @@
     <metadata name="siteAdmin">admin@example.com</metadata>
     <!--<metadata name="siteURL">http://www.greenstone.org/greenstone3/</metadata>-->
+<!-- NOT YET WORKING
+    <metadata name="siteURL">//HOST:PORT/whakatohea/</metadata>
+-->
+<!-- INSTEAD, ACTIVATE THIS LINE AFTER EDITING IT:
+    <metadata name="siteURL">//HOST:PORT/greenstone3/</metadata>
+-->
+
   </metadataList>
   <displayItemList>
-    <displayItem name="siteName" lang="en">MÄtauranga o WhakatÅhea Digital Library</displayItem>
+    <displayItem name="siteName" lang="en">Whakairinga KÅrero o Te WhakatÅhea</displayItem>
     <displayItem name="siteName" key="siteName" dictionary="siteConfig"/>
-    <displayItem name="siteDescription" lang="en">This is a digital library built using the open-source Greenstone Digital Library software, version 3. Edit the site name and description in web/sites/localsite/siteConfig.xml or web/sites/localsite/resources/siteConfig_xx.properties.</displayItem>
+    <displayItem name="siteDescription" lang="en">This is a digital library built using the open-source Greenstone 3 Digital Library software, version 3.</displayItem>
     <displayItem name="siteDescription" key="siteDescription" dictionary="siteConfig"/>
   </displayItemList>