Index: /main/trunk/greenstone2/collect/modelcol/etc/collectionConfig.xml
===================================================================
--- /main/trunk/greenstone2/collect/modelcol/etc/collectionConfig.xml	(revision 34171)
+++ /main/trunk/greenstone2/collect/modelcol/etc/collectionConfig.xml	(revision 34172)
@@ -87,5 +87,5 @@
 			<!-- Configuring an UnknownConverterPlugin for docx processing with Tika -->
 			<plugin name="UnknownConverterPlugin">
-			  <option name="-exec_cmd" value="java -jar $GSDLHOME/ext/tika/tika-app-1.24.1.jar --html %%INPUT_FILE &gt; %%OUTPUT"/>
+			  <option name="-exec_cmd" value="java -jar $GSDLHOME/ext/tika/tika-app-1.24.1.jar --html --pretty-print --encoding=UTF-8 %%INPUT_FILE &gt; %%OUTPUT"/>
 			  <option name="-convert_to" value="html"/>
 			  <option name="-mime_type" value="application/vnd.openxmlformats-officedocument.wordprocessingml.document"/>
Index: /main/trunk/greenstone2/ext/tika/README.txt
===================================================================
--- /main/trunk/greenstone2/ext/tika/README.txt	(revision 34171)
+++ /main/trunk/greenstone2/ext/tika/README.txt	(revision 34172)
@@ -14,5 +14,12 @@
 * Mime-types for docx and other office suite docs:	
 	https://stackoverflow.com/questions/4212861/what-is-a-correct-mime-type-for-docx-pptx-etc
-	
+
+* Tesseract for OCR with Tika:
+https://dingyuliang.me/use-tika-1-14-extract-text-image-tesseract-ocr/
+Use Tika 1.14 to extract text from image by Tesseract OCR
+
+* API usage examples - if modifying Tika code:
+https://tika.apache.org/1.8/examples.html
+https://stackoverflow.com/questions/38577468/convert-a-word-documents-to-html-with-embedded-images-by-tika
 
 --------------------------------------------------------------
@@ -78,3 +85,79 @@
 <ACTUAL TEXT IN INPUT DOCUMENT OUTPUT HERE>
 
+
 --------------------------------------------------------------
+D. THE --encoding= FLAG TO TIKA
+--------------------------------------------------------------
+> java -jar tika-app-1.24.1.jar --help
+  ...
+  -eX or --encoding=X    Use output encoding X
+  ...
+
+You can't specify invalid encodings (e.g. --encoding=nonexistent)
+It seems to be insensitive to case, e.g. --encoding=UTF-8, --encoding=utf-8, --encoding=iso-8859-1
+
+Since my tests have been to convert docs that contain ASCII using Tika,
+it's only obvious that the encoding flag has been taken into account in any way when the output is
+xhtml which is the default (or can pass in -x or --xml to get xhtml out).
+
+
+COMPARE, noting also the case of the encoding in the Tika command, vs in the output:
+
+(1) >java -jar tika-app-1.24.1.jar --encoding=iso-8859-1 /Scratch/ak19/testword.docx
+  <?xml version="1.0" encoding="utf-8"?><html xmlns="http://www.w3.org/1999/xhtml">
+  <head>
+  <meta name="date" content="2013-09-18T02:46:00Z"/>
+  ...
+
+(2) >java -jar tika-app-1.24.1.jar --encoding=UTF-8 /Scratch/ak19/testword.docx
+    <?xml version="1.0" encoding="UTF-8"?><html xmlns="http://www.w3.org/1999/xhtml">
+    <head>
+    ...
+
+(3) >java -jar tika-app-1.24.1.jar --encoding=iso-8859-1 /Scratch/ak19/testword.docx
+    <?xml version="1.0" encoding="ISO-8859-1"?><html xmlns="http://www.w3.org/1999/xhtml">
+    <head>
+    ...
+  
+(4) >java -jar tika-app-1.24.1.jar --encoding=ISO-8859-1 /Scratch/ak19/testword.docx
+    <?xml version="1.0" encoding="ISO-8859-1"?><html xmlns="http://www.w3.org/1999/xhtml">
+    <head>
+     ...
+
+(5) >java -jar tika-app-1.24.1.jar --encoding=nonexistent /Scratch/ak19/testword.docx
+    Warning:  The encoding 'nonexistent' is not supported by the Java runtime.
+    Warning: encoding "nonexistent" not supported, using UTF-8
+    <?xml version="1.0" encoding="UTF-8"?><html xmlns="http://www.w3.org/1999/xhtml">
+    <head>
+    ...
+
+(6) (Output to html)
+    > java -jar tika-app-1.24.1.jar --encoding=nonexistent --html /Scratch/ak19/testword.docx
+    Warning:  The encoding 'nonexistent' is not supported by the Java runtime.
+    Warning: encoding "nonexistent" not supported, using UTF-8
+    <html xmlns="http://www.w3.org/1999/xhtml">
+    <head>
+    ...
+The warning to STDERR is all that indicates that the encoding flag is taken into account
+when --html flag is turned. The actual html output sent to STDOUT makes no mention of any
+encoding in the file.
+
+(7) (Output to html case 2)
+    > java -jar tika-app-1.24.1.jar --html --encoding=iso-8859-1 /Scratch/ak19/testword.docx
+    <html xmlns="http://www.w3.org/1999/xhtml">
+    <head>
+    <meta name="date" content="2013-09-18T02:46:00Z"/>
+    <meta name="Total-Time" content="5"/>
+    ...
+No warnings, but also no mention of the encoding in the html output.
+
+
+The warning messages in (6) indicate that the output encoding is also taken into account when
+the output format is set to html, by passing in the flag --html to tika.
+Since we use --html as the output format, and UTF-8 is the character encoding Greenstone prefers
+to work with, it therefore seems meaningful to set --encoding=UTF-8.
+
+Also passing in --pretty-print to get supposedly better formatted output.
+
+
+--------------------------------------------------------------