Index: /gs2-extensions/gstika/trunk/GS_TIKA_README.txt
===================================================================
--- /gs2-extensions/gstika/trunk/GS_TIKA_README.txt	(revision 34174)
+++ /gs2-extensions/gstika/trunk/GS_TIKA_README.txt	(revision 34175)
@@ -28,26 +28,26 @@
 1. HTML:	
 
-GS3/gs2build/ext/tika>java -jar tika-app-*.jar --html /PATH/TO/testword.docx > /PATH/TO/GS3/gs2build/ext/tmp/testword.htm
+GS3/gs2build/ext/gstika>java -jar tika-app-*.jar --html /PATH/TO/testword.docx > /PATH/TO/GS3/gs2build/ext/tmp/testword.htm
 
 2. XHTML - looks the same as HTML:
 
-GS3/gs2build/ext/tika>java -jar tika-app-*.jar --xml /PATH/TO/testword.docx > /PATH/TO/GS3/gs2build/ext/tmp/testword.html
+GS3/gs2build/ext/gstika>java -jar tika-app-*.jar --xml /PATH/TO/testword.docx > /PATH/TO/GS3/gs2build/ext/tmp/testword.html
 
 3. PLAIN TEXT CONTENT - NO META:
 
-GS3/gs2build/ext/tika>java -jar tika-app-*.jar --text-main /PATH/TO/testword.docx > /PATH/TO/GS3/gs2build/ext/tmp/testword.html
+GS3/gs2build/ext/gstika>java -jar tika-app-*.jar --text-main /PATH/TO/testword.docx > /PATH/TO/GS3/gs2build/ext/tmp/testword.html
 
   a. PLAIN TEXT WITH META:
 
-GS3/gs2build/ext/tika>java -jar tika-app-*.jar --text /PATH/TO/testword.docx > /PATH/TO/GS3/gs2build/ext/tmp/testword.html
+GS3/gs2build/ext/gstika>java -jar tika-app-*.jar --text /PATH/TO/testword.docx > /PATH/TO/GS3/gs2build/ext/tmp/testword.html
 
   b. JUST META:
 
-GS3/gs2build/ext/tika>java -jar tika-app-*.jar --metadata /PATH/TO/testword.docx > /PATH/TO/GS3/gs2build/ext/tmp/testword.html)
+GS3/gs2build/ext/gstika>java -jar tika-app-*.jar --metadata /PATH/TO/testword.docx > /PATH/TO/GS3/gs2build/ext/tmp/testword.html)
 	
 4. IMAGES CAN'T DO HTML + IMAGES IN ONE STEP by throwing in any of the above flags in addition):
 
 Extracts all attachments (images etc) into specified dir (-z or --extract and then specify a dir for it)
-GS3/gs2build/ext/tika>java -jar tika-app-*.jar --extract --extract-dir=/PATH/TO/GS3/gs2build/ext/tmp /PATH/TO/testword.docx		
+GS3/gs2build/ext/gstika>java -jar tika-app-*.jar --extract --extract-dir=/PATH/TO/GS3/gs2build/ext/tmp /PATH/TO/testword.docx		
 
 
@@ -55,5 +55,5 @@
 C. COMPARE OUTPUT - IMG EXTRACTION vs TEXT:
 --------------------------------------------------------------
-* GS3/gs2build/ext/tika>java -jar tika-app-*.jar -z --extract-dir=/PATH/TO/GS3/gs2build/ext/tmp /PATH/TO/testword.docx
+* GS3/gs2build/ext/gstika>java -jar tika-app-*.jar -z --extract-dir=/PATH/TO/GS3/gs2build/ext/tmp /PATH/TO/testword.docx
 
 INFO  As a convenience, TikaCLI has turned on extraction of
@@ -72,5 +72,5 @@
 
 
-* GS3/gs2build/ext/tika>java -jar tika-app-*.jar --text-main /PATH/TO/testword.docx
+* GS3/gs2build/ext/gstika>java -jar tika-app-*.jar --text-main /PATH/TO/testword.docx
 
 Jun 14, 2020 1:29:42 AM org.apache.tika.config.InitializableProblemHandler$3 handleInitializableProblem
@@ -186,7 +186,7 @@
 2. It stands alone and can be compiled and run against the tika-app-*.jar file on the classpath:
 To compile
-   GS3/gs2build/ext/tika>javac -cp `pwd`/tika-app-*.jar org/greenstone/tika/GSTikaCLI.java
+   GS3/gs2build/ext/gstika>javac -cp `pwd`/lib/tika-app-*.jar org/greenstone/tika/GSTikaCLI.java
 To run:
-   GS3/gs2build/ext/tika>java -cp "`pwd`/tika-app-*.jar:." org.greenstone.tika.GSTikaCLI --html-with-images <inputfilepath> > output.html
+   GS3/gs2build/ext/gstika>java -cp "`pwd`/lib/tika-app-*.jar:." org.greenstone.tika.GSTikaCLI --html-with-images <inputfilepath> > output.html
 
 (Can pass existing flags, e.g. --html for html without images extracted)
@@ -194,8 +194,8 @@
 To compile code that lives in a directory called "src" and compile it into a directory called "build":
 
-   GS3/gs2build/ext/tika>javac -cp `pwd`/tika-app-*.jar -d `pwd`/build src/org/greenstone/tika/GSTikaCLI.java
+   GS3/gs2build/ext/gstika>javac -cp `pwd`/lib/tika-app-*.jar -d `pwd`/build src/org/greenstone/tika/GSTikaCLI.java
 
 To run the compiled class that's now in folder "build":
-   GS3/gs2build/ext/tika>javac -cp "`pwd`/tika-app-*.jar:`pwd`/build" --html-with-images <inputfilepath> > output.html
+   GS3/gs2build/ext/gstika>javac -cp "`pwd`/lib/tika-app-*.jar:`pwd`/build" --html-with-images <inputfilepath> > output.html
 
 
@@ -215,8 +215,10 @@
 
 
-cd gs2build/ext/tika
+cd gs2build/ext/gstika
 ./makeGSTikaCLI.sh
 ./GSTikaCLI.sh --html-with-images <inputfile> > <outputfile>
 e.g. ./GSTikaCLI.sh --html-with-imgs --pretty-print --encoding=UTF-8 tmp/<file>.docx > tmp/<file>.html
+
+
 --------------------------------------------------------------
 F. COMPILING TIKA FROM SOURCE