Index: /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/technical/metadata.xml
===================================================================
--- /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/technical/metadata.xml	(revision 34208)
+++ /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/technical/metadata.xml	(revision 34208)
@@ -0,0 +1,57 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
+<DirectoryMetadata>
+	<FileSet>
+		<FileName>01 InstallingGS3_onYourServers\.txt</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Type">technical</Metadata>
+			<Metadata mode="accumulate" name="dc.Creator">Anu</Metadata>
+			<Metadata mode="accumulate" name="dc.Title">01 Installing GS3 binary on WMTB server</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Installing GS3 from binary installer on the WMTB Server</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">WMTB</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Installation</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Instructions</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">binary</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">installer</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">WMTB Server Details</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Installing Cher's collection design work on WMTB GS3</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>02 GS3Compilation_RemoteGS3_Depositor_Instructions\.txt</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Type">technical</Metadata>
+			<Metadata mode="accumulate" name="dc.Creator">Anu</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Installing GS3 from source on the WMTB Server</Metadata>
+			<Metadata mode="accumulate" name="dc.Title">02 GS3 source installation, using remote GS3, Depositor</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">WMTB</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Installation</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Instructions</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Configuring GS3 on WMTB Server as a Remote Greenstone Server</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Remote GS3</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">source</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">compilation</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Installing Cher's collection design work on WMTB GS3</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Installing prerequisites for compiling GS3 from source</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">WMTB Server Details</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Depositor</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">client-GLI</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>03 RemoteAccess_WMTB_VPN_SSH\.txt</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Type">technical</Metadata>
+			<Metadata mode="accumulate" name="dc.Creator">Callum</Metadata>
+			<Metadata mode="accumulate" name="dc.Creator">Anu</Metadata>
+			<Metadata mode="accumulate" name="dc.Title">03 Instructions to remotely SSH into WMTB GS3 using VPN</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">VPN</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">SSH</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">WMTB</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Instructions</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Instructions for SSH-ing into WMTB GS3 using VPN</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">WMTB Server Details</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Remote access to WMTB GS3 installation</Metadata>
+		</Description>
+	</FileSet>
+</DirectoryMetadata>
Index: /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml
===================================================================
--- /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml	(revision 34207)
+++ /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml	(revision 34208)
@@ -12,5 +12,5 @@
 		<FileName>03 GreenstoneTutorial_Tue_09June2020\.mp4</FileName>
 		<Description>
-			<Metadata mode="accumulate" name="dc.Title">03 Authentication, basic customisation, depositor pt1</Metadata>
+			<Metadata mode="accumulate" name="dc.Title">Zoom 03: Authentication, basic customisation, depositor pt1</Metadata>
 			<Metadata mode="accumulate" name="dc.Subject">Authentication</Metadata>
 			<Metadata mode="accumulate" name="dc.Subject">Users</Metadata>
@@ -29,5 +29,5 @@
 		<FileName>04 GreenstoneTutorial_Fri_12June2020\.mp4</FileName>
 		<Description>
-			<Metadata mode="accumulate" name="dc.Title">04 Client-GLI, Remote GS3, Depositor pt2</Metadata>
+			<Metadata mode="accumulate" name="dc.Title">Zoom 04: Client-GLI, Remote GS3, Depositor pt2</Metadata>
 			<Metadata mode="accumulate" name="dc.Description">Using client-GLI to connect to the remote GS3 on the Whakatohea server</Metadata>
 			<Metadata mode="accumulate" name="dc.Description">Using the Depositor to add a document to the remote Whakatohea DL</Metadata>
@@ -73,3 +73,21 @@
 		</Description>
 	</FileSet>
+	<FileSet>
+		<FileName>05 GreenstoneTutorial_18June2020\.mp4</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Description">WhakatÅhea website interface</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">How to integrat the six pou</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">pou</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">website</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">interface</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Protocol procedure</Metadata>
+			<Metadata mode="accumulate" name="dc.Title">Zoom 05: Planning website and protocol procedure</Metadata>
+			<Metadata mode="accumulate" name="dc.Creator">Danny</Metadata>
+			<Metadata mode="accumulate" name="dc.Creator">Brian</Metadata>
+			<Metadata mode="accumulate" name="dc.Creator">Renee</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">protocol</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">WhakatÅhea Digital Library interface</Metadata>
+			<Metadata mode="accumulate" name="dc.Date">18 June 2020</Metadata>
+		</Description>
+	</FileSet>
 </DirectoryMetadata>