Index: /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/etc/collectionConfig.xml
===================================================================
--- /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/etc/collectionConfig.xml	(revision 34209)
+++ /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/etc/collectionConfig.xml	(revision 34210)
@@ -17,5 +17,6 @@
 	</metadataList>
 	<displayItemList>
-		<displayItem assigned="true" lang="en" name="description">A collection of Greenstone 3 learning materials:
+		<displayItem assigned="true" lang="en" name="description">A collection of Greenstone 3 learning materials
+and technical docs on server access
 &lt;ul&gt;
   &lt;li&gt;Tutorials on using Greenstone 3: zoom session videos and presentation slides&lt;/li&gt;
@@ -24,5 +25,6 @@
     &lt;li&gt;installing GS3 on the WMTB server from binary installer and from source,&lt;/li&gt;
     &lt;li&gt;configuring it as a remote Greenstone 3,&lt;/li&gt;
-    &lt;li&gt;installing Cher's work, setting up a VPN connection to WMTB for ssh access&lt;/li&gt;
+    &lt;li&gt;installing Cher&apos;s work&lt;/li&gt;
+    &lt;li&gt;setting up a VPN connection to WMTB for ssh access&lt;/li&gt;
   &lt;/ul&gt;
   &lt;/li&gt;
@@ -42,36 +44,43 @@
 		<displayItem assigned="true" lang="en" name=".dc.Subject">_labelSubject_</displayItem>
 		<displayItem assigned="true" lang="en" name=".dc.Description">_labelDescription_</displayItem>
+		<displayItem assigned="true" lang="en" name="icon">adorableBird.png</displayItem>
+		<displayItem assigned="true" lang="en" name="smallicon">adorableBirdHome.jpg</displayItem>
+		<displayItem assigned="true" lang="en" name=".allfields">allfields</displayItem>
 	</displayItemList>
-	<format>
-			<gsf:template name="choose-title">
-				<gsf:choose-metadata>
-					<gsf:metadata name="dc.Title"/>
-					<gsf:metadata name="exp.Title"/>
-					<gsf:metadata name="ex.dc.Title"/>
-					<gsf:metadata name="Title"/>
-					<gsf:default>Untitled</gsf:default>
-				</gsf:choose-metadata>
-			</gsf:template>
+	<format>  <gsf:template name="video-date-length-info">
+	<br />Date: <gsf:metadata name="dc.Date"/>
+	<br />Duration: <gsf:metadata name="dc.Coverage"/>
+</gsf:template>
+  <gsf:template name="choose-title">
+    <gsf:choose-metadata>
+      <gsf:metadata name="dc.Title"/>
+      <gsf:metadata name="exp.Title"/>
+      <gsf:metadata name="ex.dc.Title"/>
+      <gsf:metadata name="Title"/>
+      <gsf:default>Untitled</gsf:default>
+    </gsf:choose-metadata>
+  </gsf:template>
 <!--
 modify the collection description template to output the "this collection contains X documents and was last built Y days ago" message
 -->
-			<xsl:template name="coll-description">
-				<p>
-					<gslib:collectionDescriptionTextAndServicesLinks/>
-				</p>
-				<xsl:variable name="raw_date">
-					<gslib:collectionMeta name="buildDate"/>
-				</xsl:variable>
-				<xsl:variable name="formatted_date">
-					<xsl:value-of select="util:formatTimeStamp($raw_date, 0, 3, /page/@lang)"/>
-				</xsl:variable>
-				<xsl:variable name="numdocs">
-					<gslib:collectionMeta name="numDocs"/>
-				</xsl:variable>
-				<p>
-					<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'about.standarddescriptiondays', concat($numdocs, ';', $formatted_date))"/>
-				</p>
-			</xsl:template>
-		</format>
+  <xsl:template name="coll-description">
+    <p>
+      <gslib:collectionDescriptionTextAndServicesLinks/>
+    </p>
+    <xsl:variable name="raw_date">
+      <gslib:collectionMeta name="buildDate"/>
+    </xsl:variable>
+    <xsl:variable name="formatted_date">
+      <xsl:value-of select="util:formatTimeStamp($raw_date, 0, 3, /page/@lang)"/>
+    </xsl:variable>
+    <xsl:variable name="numdocs">
+      <gslib:collectionMeta name="numDocs"/>
+    </xsl:variable>
+    <p>
+      <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'about.standarddescriptiondays', concat($numdocs, ';', $formatted_date))"/>
+    </p>
+  </xsl:template>
+
+</format>
 	<search type="lucene">
 		<level name="document">
@@ -82,4 +91,5 @@
 		</level>
 		<defaultLevel name="document"/>
+		<index name="allfields"/>
 		<index name="text">
 			<displayItem lang="en" name="name">text</displayItem>
@@ -97,5 +107,5 @@
 			<displayItem lang="en" name="name">filenames</displayItem>
 		</index>
-		<defaultIndex name="text"/>
+		<defaultIndex name="allfields"/>
 		<sort name="rank">
 			<displayItem lang="en" name="name">rank</displayItem>
@@ -107,43 +117,49 @@
 		<searchType name="simpleform"/>
 		<searchType name="advancedform"/>
-		<format>
-			<gsf:template match="documentNode">
-				<gsf:switch>
-					<gsf:metadata name="dc.Type"/>
-					<gsf:when test="equals" test-value="video">
-						<td colspan="3" valign="top">
-							<gsf:link type="source">
-								<gsf:metadata name="srcicon"/>
-							</gsf:link>
-						</td>
-					</gsf:when>
-					<gsf:otherwise>
-						<td valign="top">
-							<gsf:link type="document">
-								<gsf:icon type="document"/>
-							</gsf:link>
-						</td>
-						<td valign="top">
-							<gsf:link type="source">
-								<gsf:choose-metadata>
-									<gsf:metadata name="thumbicon"/>
-									<gsf:metadata name="srcicon"/>
-								</gsf:choose-metadata>
-							</gsf:link>
-						</td>
-						<td valign="top">
-							<gsf:metadata name="equivDocLink"/>
-							<gsf:metadata name="equivDocIcon"/>
-							<gsf:metadata name="/equivDocLink"/>
-						</td>
-					</gsf:otherwise>
-				</gsf:switch>
-				<td>
-					<gsf:link type="document">
-						<xsl:call-template name="choose-title"/>
-					</gsf:link>
-				</td>
-			</gsf:template>
-		</format>
+		<format>  <gsf:template match="documentNode">
+    <gsf:switch>
+      <gsf:metadata name="dc.Type"/>
+      <gsf:when test="equals" test-value="video">
+        <td colspan="3" valign="top" >
+          <gsf:link type="source">
+            <gsf:metadata name="srcicon"/>
+          </gsf:link>          
+        </td>
+        <td>
+          <gsf:link type="source">
+            <xsl:call-template name="choose-title"/>
+          </gsf:link>
+          <xsl:call-template name="video-date-length-info"/>
+        </td>
+      </gsf:when>
+      <gsf:otherwise>
+        <td valign="top">
+          <gsf:link type="document">
+            <gsf:icon type="document"/>
+          </gsf:link>
+        </td>
+        <td valign="top">
+          <gsf:link type="source">
+            <gsf:choose-metadata>
+              <gsf:metadata name="thumbicon"/>
+              <gsf:metadata name="srcicon"/>
+            </gsf:choose-metadata>
+          </gsf:link>
+        </td>
+        <td valign="top">
+          <gsf:metadata name="equivDocLink"/>
+          <gsf:metadata name="equivDocIcon"/>
+          <gsf:metadata name="/equivDocLink"/>
+        </td>
+        <td>
+          <gsf:link type="document">
+            <xsl:call-template name="choose-title"/>
+          </gsf:link>
+        </td>
+      </gsf:otherwise>
+    </gsf:switch>
+  </gsf:template>
+
+</format>
 	</search>
 	<infodb type="jdbm"/>
@@ -168,4 +184,10 @@
 			<plugin name="RTFPlugin"/>
 			<plugin name="WordPlugin"/>
+			<plugin name="UnknownPlugin">
+				<option name="-file_format" value="MPEG"/>
+				<option name="-mime_type" value="video/mp4"/>
+				<option name="-srcicon" value="iconmp4"/>
+				<option name="-process_extension" value="mp4"/>
+			</plugin>
 			<plugin name="PostScriptPlugin"/>
 			<plugin name="PowerPointPlugin"/>
@@ -175,10 +197,4 @@
 			<plugin name="NulPlugin"/>
 			<plugin name="OAIPlugin"/>
-			<plugin name="UnknownPlugin">
-				<option name="-file_format" value="MPEG"/>
-				<option name="-mime_type" value="video/mp4"/>
-				<option name="-srcicon" value="iconmp4"/>
-				<option name="-process_extension" value="mp4"/>
-			</plugin>
 			<plugin name="MetadataXMLPlugin"/>
 			<plugin name="ArchivesInfPlugin"/>
@@ -193,53 +209,69 @@
 			<option name="-metadata_selection_mode_within_level" value="firstvalue"/>
 			<option name="-buttonname" value="titles"/>
-			<format>
-			<gsf:template match="documentNode">
-				<gsf:switch>
-					<gsf:metadata name="dc.Type"/>
-					<gsf:when test="equals" test-value="video">
-						<td valign="top">
-							<gsf:link type="source">
-								<gsf:metadata name="srcicon"/>
-							</gsf:link>
-						</td>
-					</gsf:when>
-					<gsf:otherwise>
-						<td valign="top">
-							<gsf:link type="document">
-								<gsf:icon type="document"/>
-							</gsf:link>
-						</td>
-						<td valign="top">
-							<gsf:link type="source">
-								<gsf:choose-metadata>
-									<gsf:metadata name="thumbicon"/>
-									<gsf:metadata name="srcicon"/>
-								</gsf:choose-metadata>
-							</gsf:link>
-						</td>
-						<td valign="top">
-							<gsf:metadata name="equivDocLink"/>
-							<gsf:metadata name="equivDocIcon"/>
-							<gsf:metadata name="/equivDocLink"/>
-						</td>
-					</gsf:otherwise>
-				</gsf:switch>
-				<td valign="top">
-					<gsf:link type="document">
+			<format>  <gsf:template match="documentNode">
+    <gsf:switch>
+      <gsf:metadata name="dc.Type"/>
+      <gsf:when test="equals" test-value="video">
+        <td valign="top">
+          <gsf:link type="source">
+            <gsf:metadata name="srcicon"/>
+          </gsf:link>
+        </td>
+        <td valign="top">
+          <gsf:link type="source">
 <!--
 Instead of using choose-title here, we want to display the title that the document was classified on
 -->
-						<gsf:metadata name="dc.Title,Title" pos="classifiedBy"/>
-						<gsf:switch>
-							<gsf:metadata name="Source"/>
-							<gsf:when test="exists">
-								<br/>
-								<i>(<gsf:metadata name="Source"/>)</i>
-							</gsf:when>
-						</gsf:switch>
-					</gsf:link>
-				</td>
-			</gsf:template>
-		</format>
+            <gsf:metadata name="dc.Title,Title" pos="classifiedBy"/>
+          </gsf:link>
+          <xsl:call-template name="video-date-length-info"/>
+          <gsf:switch>
+            <gsf:metadata name="Source"/>
+            <gsf:when test="exists">
+              <br/>
+              <i>(<gsf:metadata name="Source"/>)</i>
+            </gsf:when>
+          </gsf:switch>
+        </td>
+      </gsf:when>
+      <gsf:otherwise>
+        <td valign="top">
+          <gsf:link type="document">
+            <gsf:icon type="document"/>
+          </gsf:link>
+        </td>
+        <td valign="top">
+          <gsf:link type="source">
+            <gsf:choose-metadata>
+              <gsf:metadata name="thumbicon"/>
+              <gsf:metadata name="srcicon"/>
+            </gsf:choose-metadata>
+          </gsf:link>
+        </td>
+        <td valign="top">
+          <gsf:metadata name="equivDocLink"/>
+          <gsf:metadata name="equivDocIcon"/>
+          <gsf:metadata name="/equivDocLink"/>
+        </td>
+        <td valign="top">
+          <gsf:link type="document">
+<!--
+Instead of using choose-title here, we want to display the title that the document was classified on
+-->
+            <gsf:metadata name="dc.Title,Title" pos="classifiedBy"/>
+          </gsf:link>
+          <gsf:switch>
+            <gsf:metadata name="Source"/>
+            <gsf:when test="exists">
+              <br/>
+              <i>(<gsf:metadata name="Source"/>)</i>
+            </gsf:when>
+          </gsf:switch>
+        </td>
+      </gsf:otherwise>
+    </gsf:switch>
+  </gsf:template>
+
+</format>
 		</classifier>
 		<classifier name="List">
@@ -268,71 +300,87 @@
 			<option name="-buttonname" value="Source"/>
 		</classifier>
-		<format>
-			<gsf:template match="documentNode">
-				<gsf:switch>
-					<gsf:metadata name="dc.Type"/>
-					<gsf:when test="equals" test-value="video">
-						<td valign="top">
-							<gsf:link type="source">
-								<gsf:metadata name="srcicon"/>
-							</gsf:link>
-						</td>
-					</gsf:when>
-					<gsf:otherwise>
-						<td valign="top">
-							<gsf:link type="document">
-								<gsf:icon type="document"/>
-							</gsf:link>
-						</td>
-						<td valign="top">
-							<gsf:link type="source">
-								<gsf:choose-metadata>
-									<gsf:metadata name="thumbicon"/>
-									<gsf:metadata name="srcicon"/>
-								</gsf:choose-metadata>
-							</gsf:link>
-						</td>
-						<td valign="top">
-							<gsf:metadata name="equivDocLink"/>
-							<gsf:metadata name="equivDocIcon"/>
-							<gsf:metadata name="/equivDocLink"/>
-						</td>
-					</gsf:otherwise>
-				</gsf:switch>
-				<td valign="top">
-					<gsf:link type="document">
+		<format>  <gsf:template match="documentNode">
+    <gsf:switch>
+      <gsf:metadata name="dc.Type"/>
+      <gsf:when test="equals" test-value="video">
+        <td valign="top">
+          <gsf:link type="source">
+            <gsf:metadata name="srcicon"/>
+          </gsf:link>
+        </td>
+        <td valign="top">
+          <gsf:link type="source">
 <!--
 Defined in the global format statement
 -->
-						<xsl:call-template name="choose-title"/>
-						<gsf:switch>
-							<gsf:metadata name="Source"/>
-							<gsf:when test="exists">
-								<br/>
-								<i>(<gsf:metadata name="Source"/>)</i>
-							</gsf:when>
-						</gsf:switch>
-					</gsf:link>
-				</td>
-			</gsf:template>
-			<gsf:template match="classifierNode[@classifierStyle = 'VList']">
-				<td valign="top">
-					<gsf:link style="static" type="classifier">
-						<gsf:icon type="classifier"/>
-					</gsf:link>
-				</td>
-				<td valign="top">
-					<gsf:link type="classifier">
-						<gsf:metadata name="Title"/>
-					</gsf:link>
-				</td>
-				<td valign="top">(<gsf:metadata name="numleafdocs"/>)</td>
-			</gsf:template>
-			<gsf:template match="classifierNode[@classifierStyle = 'HList']">
-				<gsf:link style="static" type="classifier">
-					<gsf:metadata name="Title"/>
-				</gsf:link>
-			</gsf:template>
-		</format>
+            <xsl:call-template name="choose-title"/>
+          </gsf:link>
+          <xsl:call-template name="video-date-length-info"/>
+          <gsf:switch>
+            <gsf:metadata name="Source"/>
+            <gsf:when test="exists">
+              <br/>
+              <i>(<gsf:metadata name="Source"/>)</i>
+            </gsf:when>
+          </gsf:switch>
+        </td>
+      </gsf:when>
+      <gsf:otherwise>
+        <td valign="top">
+          <gsf:link type="document">
+            <gsf:icon type="document"/>
+          </gsf:link>
+        </td>
+        <td valign="top">
+          <gsf:link type="source">
+            <gsf:choose-metadata>
+              <gsf:metadata name="thumbicon"/>
+              <gsf:metadata name="srcicon"/>
+            </gsf:choose-metadata>
+          </gsf:link>
+        </td>
+        <td valign="top">
+          <gsf:metadata name="equivDocLink"/>
+          <gsf:metadata name="equivDocIcon"/>
+          <gsf:metadata name="/equivDocLink"/>
+        </td>
+        <td valign="top">
+          <gsf:link type="document">
+<!--
+Defined in the global format statement
+-->
+            <xsl:call-template name="choose-title"/>
+          </gsf:link>
+          <gsf:switch>
+            <gsf:metadata name="Source"/>
+            <gsf:when test="exists">
+              <br/>
+              <i>(<gsf:metadata name="Source"/>)</i>
+            </gsf:when>
+          </gsf:switch>
+        </td>
+      </gsf:otherwise>
+    </gsf:switch>
+  </gsf:template>
+  <gsf:template match="classifierNode[@classifierStyle = 'VList']">
+    <td valign="top">
+      <gsf:link style="static" type="classifier">
+        <gsf:icon type="classifier"/>
+      </gsf:link>
+    </td>
+    <td valign="top">
+      <gsf:link type="classifier">
+        <gsf:metadata name="Title"/>
+      </gsf:link>
+    </td>
+    <td valign="top">(<gsf:metadata name="numleafdocs"/>)</td>
+  </gsf:template>
+  <gsf:template match="classifierNode[@classifierStyle = 'HList']">
+    <gsf:link style="static" type="classifier">
+      <gsf:metadata name="Title"/>
+    </gsf:link>
+  </gsf:template>
+
+</format>
 	</browse>
 	<display>
Index: /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml
===================================================================
--- /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml	(revision 34209)
+++ /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml	(revision 34210)
@@ -24,4 +24,5 @@
 			<Metadata mode="accumulate" name="dc.Description">Protecting or controlling access to collections</Metadata>
 			<Metadata mode="accumulate" name="dc.Date">09 June 2020</Metadata>
+			<Metadata mode="accumulate" name="dc.Coverage">1:55 hrs</Metadata>
 		</Description>
 	</FileSet>
@@ -36,4 +37,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Depositor</Metadata>
 			<Metadata mode="accumulate" name="dc.Date">12 June 2020</Metadata>
+			<Metadata mode="accumulate" name="dc.Coverage">1:50 hrs</Metadata>
 		</Description>
 	</FileSet>
@@ -53,4 +55,5 @@
 			<Metadata mode="accumulate" name="dc.Description">Greenstone Reader Interface with a web browser</Metadata>
 			<Metadata mode="accumulate" name="dc.Subject">Introduction</Metadata>
+			<Metadata mode="accumulate" name="dc.Coverage">1:30 hrs</Metadata>
 		</Description>
 	</FileSet>
@@ -71,4 +74,5 @@
 			<Metadata mode="accumulate" name="dc.Description">GSI, the Greenstone Server Interface, for previewing</Metadata>
 			<Metadata mode="accumulate" name="dc.Title">Zoom 02: Metadata Sets, GEMS, GSI, UnknownPlugin</Metadata>
+			<Metadata mode="accumulate" name="dc.Coverage">2:30 hrs</Metadata>
 		</Description>
 	</FileSet>
@@ -78,5 +82,5 @@
 			<Metadata mode="accumulate" name="dc.Description">WhakatÅhea website interface</Metadata>
 			<Metadata mode="accumulate" name="dc.Description">How to integrat the six pou</Metadata>
-			<Metadata mode="accumulate" name="dc.Subject">pou</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Pou</Metadata>
 			<Metadata mode="accumulate" name="dc.Subject">website</Metadata>
 			<Metadata mode="accumulate" name="dc.Subject">interface</Metadata>
@@ -89,4 +93,19 @@
 			<Metadata mode="accumulate" name="dc.Description">WhakatÅhea Digital Library interface</Metadata>
 			<Metadata mode="accumulate" name="dc.Date">18 June 2020</Metadata>
+			<Metadata mode="accumulate" name="dc.Coverage">2:35 hrs</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>06 GS3Tutorial_Fri_19June2020_CollFromScratch1\.mp4</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Title">Zoom 06: Creating the GS3 Tutorials collection</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Using client-GLI to create this GS3 Tutorials collection</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Creating a collection</Metadata>
+			<Metadata mode="accumulate" name="dc.Date">19 June 2020</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Client-GLI</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">create a collection</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Format Statements</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">UnknownPlugin</Metadata>
+			<Metadata mode="accumulate" name="dc.Coverage">3 hrs</Metadata>
 		</Description>
 	</FileSet>