Index: main/trunk/model-interfaces-dev/opotiki/styles/gs3-core-min.css
===================================================================
--- main/trunk/model-interfaces-dev/opotiki/styles/gs3-core-min.css	(revision 34211)
+++ main/trunk/model-interfaces-dev/opotiki/styles/gs3-core-min.css	(revision 34212)
@@ -313,5 +313,5 @@
 
 
-.col2{color:#FFFFFF; background-color:#F6F6F6;height:67px;}
+.col2{color:#FFFFFF; background-color:#F6F6F6;height:90px;}
 
 
Index: main/trunk/model-interfaces-dev/opotiki/styles/layout.css
===================================================================
--- main/trunk/model-interfaces-dev/opotiki/styles/layout.css	(revision 34211)
+++ main/trunk/model-interfaces-dev/opotiki/styles/layout.css	(revision 34212)
@@ -46,5 +46,8 @@
 .col0, .col0 a{color:#FFFFFF; background-color:#666666;}
 .col2{color:#FFFFFF; background-color:#F6F6F6;}
-
+div.query-form-links{float:right;}
+div.query-form-links a{font-size:16px;background-color:transparent;}
+div.query-form-links li{display:inline;padding-left:10px}
+div.query-form-links ul{padding-right:20px;}
 /* ----------------------------------------------Generalise------------------------------------- */
 
Index: main/trunk/model-interfaces-dev/opotiki/transform/layouts/main.xsl
===================================================================
--- main/trunk/model-interfaces-dev/opotiki/transform/layouts/main.xsl	(revision 34211)
+++ main/trunk/model-interfaces-dev/opotiki/transform/layouts/main.xsl	(revision 34212)
@@ -281,4 +281,5 @@
     <xsl:if test="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@type='query']">
       <xsl:variable name="subaction" select="/page/pageRequest/@subaction"/>
+
       <div id="quicksearcharea">
 	<xsl:if test="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']">
@@ -290,9 +291,12 @@
 		<input type="hidden" name="qs" value="1"/>
 		<input type="hidden" name="rt" value="rd"/>
-		<input type="hidden" name="s1.level">
+		<!-- don't hide indexing levels: code further down will hide it if there's only 1 indexing level.
+		     and display a dropdown if the collection's configured with more than 1 index level available -->
+		<!--<input type="hidden" name="s1.level">
 		  <xsl:attribute name="value">
 		    <xsl:value-of select="/page/pageResponse/collection/serviceList/service[@name='TextQuery']/paramList/param[@name = 'level']/@default"/>
 		  </xsl:attribute>
 		</input>
+		-->
 		<xsl:choose>
 		  <xsl:when test="/page/pageResponse/service[@name = 'TextQuery']/paramList/param[@name = 'startPage']">
@@ -342,5 +346,19 @@
 		    </xsl:apply-templates>
 		  </span>
-		</xsl:if>	
+		</xsl:if>
+
+		<!-- The index level selection list. hideSingle=true to hide the dropdown if there's only 1 level (the default). -->						
+		<xsl:if test="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']/paramList/param[@name='level']/@type = 'enum_single'">
+		  <span class="textselect">
+		    <xsl:apply-templates select="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']/paramList/param[@name='level']">
+		      <xsl:with-param name="default">
+			<xsl:apply-templates select="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']/paramList/param[@name='level']" mode="calculate-default"/>
+		      </xsl:with-param>
+		      <xsl:with-param name="hideSingle">true</xsl:with-param>
+		      <xsl:with-param name="quickSearch">true</xsl:with-param>
+		    </xsl:apply-templates>
+		  </span>
+		</xsl:if>							
+
 		<!-- The language selection list -->						
 		<xsl:if test="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@name='TextQuery']/paramList/param[@name='indexLanguage']/@type = 'enum_single'">
@@ -369,11 +387,16 @@
 	  </xsl:choose>			
 	</xsl:if>
-	<!-- The list of other search types -->
-	<!--
+	
+      </div>
+      <!--<br class="clear" />-->
+      <!--<span id="advanced">-->
+
+      <!-- The list of other search types -->
+      <div class="query-form-links">
 	<ul>
 	  <xsl:for-each select="/page/pageResponse/collection[@name=$collNameChecked]/serviceList/service[@type='query']">
 	    <xsl:if test="/page/pageRequest/paramList/param[@name='qs']/@value = 1 or not(@name = /page/pageRequest/paramList/param[@name='s']/@value)">
 	      <li class="ui-state-default ui-corner-all">
-		    <a>
+		    <a class="query-form-links">
 		      <xsl:attribute name="href">
 			<xsl:value-of select="$library_name"/>/collection/<xsl:value-of select="$collNameChecked"/>/search/<xsl:value-of select="@name"/>
@@ -385,7 +408,10 @@
 	  </xsl:for-each>
 	</ul>
-	-->
       </div>
     </xsl:if>
+    <!--<br class="clear" />
+    <div id="advanced"><a href="{$library_name}/collection/{$collNameChecked}/search/TextQuery">form search</a></div>
+    <div id="advanced"><a href="{$library_name}/collection/{$collNameChecked}/search/AdvancedFieldQuery">advanced search</a></div>
+    -->
   </xsl:template>
 	