Index: /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/technical/metadata.xml
===================================================================
--- /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/technical/metadata.xml	(revision 34213)
+++ /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/technical/metadata.xml	(revision 34214)
@@ -3,7 +3,12 @@
 <DirectoryMetadata>
 	<FileSet>
+		<FileName>.*</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Type">technical</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
 		<FileName>01 InstallingGS3_onYourServers\.txt</FileName>
 		<Description>
-			<Metadata mode="accumulate" name="dc.Type">technical</Metadata>
 			<Metadata mode="accumulate" name="dc.Creator">Anu</Metadata>
 			<Metadata mode="accumulate" name="dc.Title">01 Installing GS3 binary on WMTB server</Metadata>
@@ -21,5 +26,4 @@
 		<FileName>02 GS3Compilation_RemoteGS3_Depositor_Instructions\.txt</FileName>
 		<Description>
-			<Metadata mode="accumulate" name="dc.Type">technical</Metadata>
 			<Metadata mode="accumulate" name="dc.Creator">Anu</Metadata>
 			<Metadata mode="accumulate" name="dc.Description">Installing GS3 from source on the WMTB Server</Metadata>
@@ -36,5 +40,5 @@
 			<Metadata mode="accumulate" name="dc.Description">WMTB Server Details</Metadata>
 			<Metadata mode="accumulate" name="dc.Subject">Depositor</Metadata>
-			<Metadata mode="accumulate" name="dc.Subject">client-GLI</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Client-GLI</Metadata>
 		</Description>
 	</FileSet>
@@ -42,5 +46,4 @@
 		<FileName>03 RemoteAccess_WMTB_VPN_SSH\.txt</FileName>
 		<Description>
-			<Metadata mode="accumulate" name="dc.Type">technical</Metadata>
 			<Metadata mode="accumulate" name="dc.Creator">Callum</Metadata>
 			<Metadata mode="accumulate" name="dc.Creator">Anu</Metadata>
@@ -58,5 +61,4 @@
 		<FileName>04_SVN_UpdatingAndRecompiling_GS3_SourceCode_onWMTB\.txt</FileName>
 		<Description>
-			<Metadata mode="accumulate" name="dc.Type">technical</Metadata>
 			<Metadata mode="accumulate" name="dc.Creator">Anu</Metadata>
 			<Metadata mode="accumulate" name="dc.Title">04 SVN Updating and Recompiling the remote GS3 from source</Metadata>
Index: /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml
===================================================================
--- /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml	(revision 34213)
+++ /main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml	(revision 34214)
@@ -6,5 +6,5 @@
 		<Description>
 			<Metadata mode="accumulate" name="dc.Creator">Anu</Metadata>
-			<Metadata mode="accumulate" name="dc.Type">video</Metadata>
+		
 		</Description>
 	</FileSet>
@@ -25,4 +25,5 @@
 			<Metadata mode="accumulate" name="dc.Date">09 June 2020</Metadata>
 			<Metadata mode="accumulate" name="dc.Coverage">1:55 hrs</Metadata>
+			<Metadata mode="accumulate" name="dc.Type">video</Metadata>
 		</Description>
 	</FileSet>
@@ -38,4 +39,5 @@
 			<Metadata mode="accumulate" name="dc.Date">12 June 2020</Metadata>
 			<Metadata mode="accumulate" name="dc.Coverage">1:50 hrs</Metadata>
+			<Metadata mode="accumulate" name="dc.Type">video</Metadata>
 		</Description>
 	</FileSet>
@@ -56,4 +58,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Introduction</Metadata>
 			<Metadata mode="accumulate" name="dc.Coverage">1:30 hrs</Metadata>
+			<Metadata mode="accumulate" name="dc.Type">video</Metadata>
 		</Description>
 	</FileSet>
@@ -75,4 +78,5 @@
 			<Metadata mode="accumulate" name="dc.Title">Zoom 02: Metadata Sets, GEMS, GSI, UnknownPlugin</Metadata>
 			<Metadata mode="accumulate" name="dc.Coverage">2:30 hrs</Metadata>
+			<Metadata mode="accumulate" name="dc.Type">video</Metadata>
 		</Description>
 	</FileSet>
@@ -94,4 +98,5 @@
 			<Metadata mode="accumulate" name="dc.Date">18 June 2020</Metadata>
 			<Metadata mode="accumulate" name="dc.Coverage">2:35 hrs</Metadata>
+			<Metadata mode="accumulate" name="dc.Type">video</Metadata>
 		</Description>
 	</FileSet>
@@ -108,4 +113,22 @@
 			<Metadata mode="accumulate" name="dc.Subject">UnknownPlugin</Metadata>
 			<Metadata mode="accumulate" name="dc.Coverage">3 hrs</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Authentication</Metadata>
+			<Metadata mode="accumulate" name="dc.Type">video</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>07 GS3TutsCollFromScratch_20June2020\.txt</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Title">Zoom 07: Creating the GS3 Tutorials collection Take-2</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Client-GLI</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">create a collection</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Authentication</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Format Statements</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">UnknownPlugin</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Using client-GLI to create this GS3 Tutorials collection</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Creating a collection</Metadata>
+			<Metadata mode="accumulate" name="dc.Type">video-with-summary</Metadata>
+			<Metadata mode="accumulate" name="dc.Date">20 June 2020</Metadata>
+			<Metadata mode="accumulate" name="dc.Coverage">3:35 hrs</Metadata>
 		</Description>
 	</FileSet>