Index: /main/trunk/model-sites-dev/opotiki/groupConfig.xml
===================================================================
--- /main/trunk/model-sites-dev/opotiki/groupConfig.xml	(revision 34237)
+++ /main/trunk/model-sites-dev/opotiki/groupConfig.xml	(revision 34238)
@@ -26,40 +26,66 @@
 their home pages will display their list of collections. -->
 
-<!--
+
 <groupConfig>
   <hierarchy>
-    <group name="demo">
-      <group name="standard">
-	<collection name="solr-jdbm-demo" />
-	<collection name="lucene-jdbm-demo" />
-      </group>
-      <group name="dec">
-	<collection name="bibtex-e"/>
-	<collection name="dls-e"/>
-	<collection name="garish-e"/>
-	<collection name="isis-e"/>
-      </group>      
+    <group name="culture">
+	<collection name="imagesco" />
+	<collection name="waiatade" />
+	<collection name="textdemo" />
+    </group>
+    <group name="health">
+    </group>
+    <group name="education">
+	<collection name="gs3tutorials" />
+	<collection name="gs3tuts" />
+	<collection name="bugfixing" />
+    </group>
+    <group name="economic-development">
+    </group>
+    <group name="social-wellbeing">
+    </group>
+    <group name="environment">
     </group>
   </hierarchy>
   <groupDescriptions>
-    <group name="demo">
-      <title>Demo Collections</title>
-      <description>Collections for demonstration purposes, provided by the Greenstone project.</description>
-      <shortDescription>Greenstone demonstration collections</shortDescription>
-      <backgroundImage>/images/Group3.jpg</backgroundImage>
+    <group name="culture">
+      <title>Whakatoheatanga - Culture</title>
+      <description>Collections in pou Whakatoheatanga - Culture</description>
+      <shortDescription>Pou Whakatoheatanga - Culture</shortDescription>
+      <backgroundImage>/images/whakatoheatanga.jpg</backgroundImage>
     </group>
-    <group name="standard">
-      <title>Standard Demos</title>
-      <description>These collections are the standard demonstration collections that come with a Greenstone binary release.</description>
-      <shortDescription>Demonstration collections that come with the Greenstone binary.</shortDescription>
+    <group name="health">
+      <title>Hauora - Health</title>
+      <description>Collections in pou Hauora - Health</description>
+      <shortDescription>Pou Hauora - Health</shortDescription>
+      <backgroundImage>/images/hauora.jpg</backgroundImage>
     </group>
-    <group name="dec">
-      <title>Documented Example Collections</title>
-      <description>These documented example collections describe how they are constructed on their about page. Useful for learning about different Greenstone features.</description>
-      <shortDescription>Collections that describe how they were built.</shortDescription>
+    <group name="education">
+      <title>MÄtauranga - Education</title>
+      <description>Collections in pou MÄtauranga - Education</description>
+      <shortDescription>Pou MÄtauranga - Education</shortDescription>
+      <backgroundImage>/images/mÄtauranga.jpg</backgroundImage>
+    </group>
+    <group name="economic-development">
+      <title>Whai Rawa - Economic Development</title>
+      <description>Collections in pou Whai Rawa - Economic Development</description>
+      <shortDescription>Pou Whai Rawa - Economic Development</shortDescription>
+      <backgroundImage>/images/whai-rawa.jpg</backgroundImage>
+    </group>
+    <group name="social-wellbeing">
+      <title>Whanaungatanga - Social Wellbeing</title>
+      <description>Collections in pou Whanaungatanga - Social Wellbeing</description>
+      <shortDescription>Pou Whanaungatanga - Social Wellbeing</shortDescription>
+      <backgroundImage>/images/whanaungatanga.jpg</backgroundImage>
+    </group>
+    <group name="environment">
+      <title>Taiao - Environment</title>
+      <description>Collections in pou Taiao - Environment</description>
+      <shortDescription>Pou Taiao - Environment</shortDescription>
+      <backgroundImage>/images/taiao.jpg</backgroundImage>
     </group>
   </groupDescriptions>
 </groupConfig>
-    -->
+
 
 <!-- If you want to put your collections into a specific order, you can list them in the hierarchy. Any unmentioned collections will be listed at the end. -->
@@ -75,4 +101,6 @@
 -->
 
+<!--
 <groupConfig>
 </groupConfig>
+-->