Index: main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/etc/collectionConfig.xml
===================================================================
--- main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/etc/collectionConfig.xml	(revision 34238)
+++ main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/etc/collectionConfig.xml	(revision 34239)
@@ -112,55 +112,61 @@
 		<searchType name="simpleform"/>
 		<searchType name="advancedform"/>
-		<format>
-			<gsf:template match="documentNode">
-				<gsf:switch>
-					<gsf:metadata name="dc.Type"/>
-					<gsf:when test="equals" test-value="video">
-						<td colspan="3" valign="top">
-							<gsf:link type="source">
-								<gsf:metadata name="srcicon"/>
-							</gsf:link>
-						</td>
-						<td>
-							<gsf:link type="source">
-								<xsl:call-template name="choose-title"/>
-							</gsf:link>
-							<xsl:call-template name="video-date-length-info"/>
-						</td>
-					</gsf:when>
-					<gsf:otherwise>
-						<td valign="top">
-							<gsf:link type="document">
-								<gsf:icon type="document"/>
-							</gsf:link>
-						</td>
-						<td valign="top">
-							<gsf:link type="source">
-								<gsf:choose-metadata>
-									<gsf:metadata name="thumbicon"/>
-									<gsf:metadata name="srcicon"/>
-								</gsf:choose-metadata>
-							</gsf:link>
-						</td>
-						<td valign="top">
-							<gsf:metadata name="equivDocLink"/>
-							<gsf:metadata name="equivDocIcon"/>
-							<gsf:metadata name="/equivDocLink"/>
-						</td>
-						<td>
-							<gsf:switch>
-								<gsf:metadata name="Title" select="parent"/>
-								<gsf:when test="exists"><xsl:call-template name="choose-title"/> of<gsf:metadata name="dc.Title" select="root"/></gsf:when>
-								<gsf:otherwise>
-									<gsf:link type="document">
-										<xsl:call-template name="choose-title"/>
-									</gsf:link>
-								</gsf:otherwise>
-							</gsf:switch>
-						</td>
-					</gsf:otherwise>
-				</gsf:switch>
-			</gsf:template>
-		</format>
+		<format>  <gsf:template match="documentNode">
+    <gsf:switch>
+      <gsf:metadata name="dc.Type"/>
+      <gsf:when test="equals" test-value="video">
+        <td colspan="3" valign="top">
+          <gsf:link type="source">
+            <gsf:metadata name="srcicon"/>
+          </gsf:link>
+        </td>
+        <td>
+          <gsf:link type="source">
+            <xsl:call-template name="choose-title"/>
+          </gsf:link>
+          <xsl:call-template name="video-date-length-info"/>
+        </td>
+      </gsf:when>
+      <gsf:otherwise>
+        <td valign="top">
+          <gsf:link type="document">
+            <gsf:icon type="document"/>
+          </gsf:link>
+        </td>
+        <td valign="top">
+          <gsf:link type="source">
+            <gsf:choose-metadata>
+              <gsf:metadata name="thumbicon"/>
+              <gsf:metadata name="srcicon"/>
+            </gsf:choose-metadata>
+          </gsf:link>
+        </td>
+        <td valign="top">
+          <gsf:metadata name="equivDocLink"/>
+          <gsf:metadata name="equivDocIcon"/>
+          <gsf:metadata name="/equivDocLink"/>
+        </td>
+        <td>
+          <gsf:switch>
+            <gsf:metadata name="Title" select="parent"/>
+            <gsf:when test="exists"><xsl:call-template name="choose-title"/> of<gsf:metadata name="dc.Title" select="root"/></gsf:when>
+            <gsf:otherwise>
+              <gsf:link type="document">
+                <xsl:call-template name="choose-title"/>
+              </gsf:link>
+              <gsf:switch>
+              <gsf:metadata name="dc.Coverage"/>
+              <gsf:when test="exists">
+                - <b><gsf:metadata name="dc.Coverage"/></b>
+              </gsf:when>
+            </gsf:switch>
+            </gsf:otherwise>
+          </gsf:switch>
+        </td>
+      </gsf:otherwise>
+    </gsf:switch>
+  </gsf:template>
+
+</format>
 	</search>
 	<infodb type="jdbm"/>
@@ -212,69 +218,74 @@
 			<option name="-metadata_selection_mode_within_level" value="firstvalue"/>
 			<option name="-buttonname" value="Titles"/>
-			<format>
-			<gsf:template match="documentNode">
-				<gsf:switch>
-					<gsf:metadata name="dc.Type"/>
-					<gsf:when test="equals" test-value="video">
-						<td valign="top">
-							<gsf:link type="source">
-								<gsf:metadata name="srcicon"/>
-							</gsf:link>
-						</td>
-						<td valign="top">
-							<gsf:link type="source">
+			<option name="-metadata_sort_mode_within_level" value="alphanumeric"/>
+			<format>  <gsf:template match="documentNode">
+    <gsf:switch>
+      <gsf:metadata name="dc.Type"/>
+      <gsf:when test="equals" test-value="video">
+        <td valign="top">
+          <gsf:link type="source">
+            <gsf:metadata name="srcicon"/>
+          </gsf:link>
+        </td>
+        <td valign="top">
+          <gsf:link type="source">
 <!--
 Instead of using choose-title here, we want to display the title that the document was classified on
 -->
-								<gsf:metadata name="dc.Title,Title" pos="classifiedBy"/>
-								<gsf:switch>
-									<gsf:metadata name="Source"/>
-									<gsf:when test="exists">
-										<br/>
-										<i>(<gsf:metadata name="Source"/>)</i>
-									</gsf:when>
-								</gsf:switch>
-							</gsf:link>
-							<xsl:call-template name="video-date-length-info"/>
-						</td>
-					</gsf:when>
-					<gsf:otherwise>
-						<td valign="top">
-							<gsf:link type="document">
-								<gsf:icon type="document"/>
-							</gsf:link>
-						</td>
-						<td valign="top">
-							<gsf:link type="source">
-								<gsf:choose-metadata>
-									<gsf:metadata name="thumbicon"/>
-									<gsf:metadata name="srcicon"/>
-								</gsf:choose-metadata>
-							</gsf:link>
-						</td>
-						<td valign="top">
-							<gsf:metadata name="equivDocLink"/>
-							<gsf:metadata name="equivDocIcon"/>
-							<gsf:metadata name="/equivDocLink"/>
-						</td>
-						<td valign="top">
-							<gsf:link type="document">
+            <gsf:metadata name="dc.Title,Title" pos="classifiedBy"/>
+            <gsf:switch>
+              <gsf:metadata name="Source"/>
+              <gsf:when test="exists">
+                <br/>
+                <i>(<gsf:metadata name="Source"/>)</i>
+              </gsf:when>
+            </gsf:switch>
+          </gsf:link>
+          <xsl:call-template name="video-date-length-info"/>
+        </td>
+      </gsf:when>
+      <gsf:otherwise>
+        <td valign="top">
+          <gsf:link type="document">
+            <gsf:icon type="document"/>
+          </gsf:link>
+        </td>
+        <td valign="top">
+          <gsf:link type="source">
+            <gsf:choose-metadata>
+              <gsf:metadata name="thumbicon"/>
+              <gsf:metadata name="srcicon"/>
+            </gsf:choose-metadata>
+          </gsf:link>
+        </td>
+        <td valign="top">
+          <gsf:metadata name="equivDocLink"/>
+          <gsf:metadata name="equivDocIcon"/>
+          <gsf:metadata name="/equivDocLink"/>
+        </td>
+        <td valign="top">
+          <gsf:link type="document">
 <!--
 Instead of using choose-title here, we want to display the title that the document was classified on
 -->
-								<gsf:metadata name="dc.Title,Title" pos="classifiedBy"/>
-							</gsf:link>
-							<gsf:switch>
-								<gsf:metadata name="Source"/>
-								<gsf:when test="exists">
-									<br/>
-									<i>(<gsf:metadata name="Source"/>)</i>
-								</gsf:when>
-							</gsf:switch>
-						</td>
-					</gsf:otherwise>
-				</gsf:switch>
-			</gsf:template>
-		</format>
+            <gsf:metadata name="dc.Title,Title" pos="classifiedBy"/>
+          </gsf:link>
+          <gsf:switch>
+            <gsf:metadata name="dc.Coverage"/>
+            <gsf:when test="exists"> -<b><gsf:metadata name="dc.Coverage"/></b></gsf:when>
+          </gsf:switch>
+          <gsf:switch>
+            <gsf:metadata name="Source"/>
+            <gsf:when test="exists">
+              <br/>
+              <i>(<gsf:metadata name="Source"/>)</i>
+            </gsf:when>
+          </gsf:switch>
+        </td>
+      </gsf:otherwise>
+    </gsf:switch>
+  </gsf:template>
+
+</format>
 		</classifier>
 		<classifier name="List">
@@ -305,87 +316,91 @@
 			<option name="-buttonname" value="Source"/>
 		</classifier>
-		<format>
-			<gsf:template match="documentNode">
-				<gsf:switch>
-					<gsf:metadata name="dc.Type"/>
-					<gsf:when test="equals" test-value="video">
-						<td valign="top">
-							<gsf:link type="source">
-								<gsf:metadata name="srcicon"/>
-							</gsf:link>
-						</td>
-						<td valign="top">
-							<gsf:link type="source">
+		<format>  <gsf:template match="documentNode">
+    <gsf:switch>
+      <gsf:metadata name="dc.Type"/>
+      <gsf:when test="equals" test-value="video">
+        <td valign="top">
+          <gsf:link type="source">
+            <gsf:metadata name="srcicon"/>
+          </gsf:link>
+        </td>
+        <td valign="top">
+          <gsf:link type="source">
 <!--
 Defined in the global format statement
 -->
-								<xsl:call-template name="choose-title"/>
-								<gsf:switch>
-									<gsf:metadata name="Source"/>
-									<gsf:when test="exists">
-										<br/>
-										<i>(<gsf:metadata name="Source"/>)</i>
-									</gsf:when>
-								</gsf:switch>
-							</gsf:link>
-							<xsl:call-template name="video-date-length-info"/>
-						</td>
-					</gsf:when>
-					<gsf:otherwise>
-						<td valign="top">
-							<gsf:link type="document">
-								<gsf:icon type="document"/>
-							</gsf:link>
-						</td>
-						<td valign="top">
-							<gsf:link type="source">
-								<gsf:choose-metadata>
-									<gsf:metadata name="thumbicon"/>
-									<gsf:metadata name="srcicon"/>
-								</gsf:choose-metadata>
-							</gsf:link>
-						</td>
-						<td valign="top">
-							<gsf:metadata name="equivDocLink"/>
-							<gsf:metadata name="equivDocIcon"/>
-							<gsf:metadata name="/equivDocLink"/>
-						</td>
-						<td valign="top">
-							<gsf:link type="document">
+            <xsl:call-template name="choose-title"/>
+            <gsf:switch>
+              <gsf:metadata name="Source"/>
+              <gsf:when test="exists">
+                <br/>
+                <i>(<gsf:metadata name="Source"/>)</i>
+              </gsf:when>
+            </gsf:switch>
+          </gsf:link>
+          <xsl:call-template name="video-date-length-info"/>
+        </td>
+      </gsf:when>
+      <gsf:otherwise>
+        <td valign="top">
+          <gsf:link type="document">
+            <gsf:icon type="document"/>
+          </gsf:link>
+        </td>
+        <td valign="top">
+          <gsf:link type="source">
+            <gsf:choose-metadata>
+              <gsf:metadata name="thumbicon"/>
+              <gsf:metadata name="srcicon"/>
+            </gsf:choose-metadata>
+          </gsf:link>
+        </td>
+        <td valign="top">
+          <gsf:metadata name="equivDocLink"/>
+          <gsf:metadata name="equivDocIcon"/>
+          <gsf:metadata name="/equivDocLink"/>
+        </td>
+        <td valign="top">
+          <gsf:link type="document">
 <!--
 Defined in the global format statement
 -->
-								<xsl:call-template name="choose-title"/>
-							</gsf:link>
-							<gsf:switch>
-								<gsf:metadata name="Source"/>
-								<gsf:when test="exists">
-									<br/>
-									<i>(<gsf:metadata name="Source"/>)</i>
-								</gsf:when>
-							</gsf:switch>
-						</td>
-					</gsf:otherwise>
-				</gsf:switch>
-			</gsf:template>
-			<gsf:template match="classifierNode[@classifierStyle = 'VList']">
-				<td valign="top">
-					<gsf:link style="static" type="classifier">
-						<gsf:icon type="classifier"/>
-					</gsf:link>
-				</td>
-				<td valign="top">
-					<gsf:link type="classifier">
-						<gsf:metadata name="Title"/>
-					</gsf:link>
-				</td>
-				<td valign="top">(<gsf:metadata name="numleafdocs"/>)</td>
-			</gsf:template>
-			<gsf:template match="classifierNode[@classifierStyle = 'HList']">
-				<gsf:link style="static" type="classifier">
-					<gsf:metadata name="Title"/>
-				</gsf:link>
-			</gsf:template>
-		</format>
+            <xsl:call-template name="choose-title"/>
+          </gsf:link>
+          <gsf:switch>
+            <gsf:metadata name="dc.Coverage"/>
+            <gsf:when test="exists"> -  <b><gsf:metadata name="dc.Coverage"/></b></gsf:when>
+          </gsf:switch>
+          <gsf:switch>
+            <gsf:metadata name="Source"/>
+            <gsf:when test="exists">
+              <br/>
+              <i>(<gsf:metadata name="Source"/>)</i>
+            </gsf:when>
+          </gsf:switch>
+        </td>
+      </gsf:otherwise>
+    </gsf:switch>
+  </gsf:template>
+  <gsf:template match="classifierNode[@classifierStyle = 'VList']">
+    <td valign="top">
+      <gsf:link style="static" type="classifier">
+        <gsf:icon type="classifier"/>
+      </gsf:link>
+    </td>
+    <td valign="top">
+      <gsf:link type="classifier">
+        <gsf:metadata name="Title"/>
+      </gsf:link>
+    </td>
+    <td valign="top">(<gsf:metadata name="numleafdocs"/>)</td>
+  </gsf:template>
+  <gsf:template match="classifierNode[@classifierStyle = 'HList']">
+    <gsf:link style="static" type="classifier">
+      <gsf:metadata name="Title"/>
+    </gsf:link>
+  </gsf:template>
+
+</format>
 	</browse>
 	<display>
Index: main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/presentations/metadata.xml
===================================================================
--- main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/presentations/metadata.xml	(revision 34238)
+++ main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/presentations/metadata.xml	(revision 34239)
@@ -50,4 +50,21 @@
 			<Metadata mode="accumulate" name="dc.Title">03 Overview of creating a collection in GLI</Metadata>
 			<Metadata mode="accumulate" name="dc.Description">Creating a collection</Metadata>
+			<Metadata mode="accumulate" name="dc.Coverage">still to complete</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>04 Users_Groups_Security\.pdf</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">still to complete</Metadata>
+			<Metadata mode="accumulate" name="dc.Title">04 Users, Groups, Protecting Collections and Documents</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Users</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Groups</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Authentication</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Collection security</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Document security</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Types of groups: administrator, collection editing, viewing</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Setting up groups for users</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Protecting or controlling access to collections</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Protecting or controlling access to documents</Metadata>
 		</Description>
 	</FileSet>
Index: main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml
===================================================================
--- main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml	(revision 34238)
+++ main/trunk/model-sites-dev/opotiki/collect/gs3tutorials/import/videos/metadata.xml	(revision 34239)
@@ -130,4 +130,10 @@
 			<Metadata mode="accumulate" name="dc.Date">20 June 2020</Metadata>
 			<Metadata mode="accumulate" name="dc.Coverage">3:35 hrs</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Protecting or controlling access to documents</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Protecting or controlling access to collections</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Collection security</Metadata>
+			<Metadata mode="accumulate" name="dc.Subject">Document security</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Types of groups: administrator, collection editing, viewing</Metadata>
+			<Metadata mode="accumulate" name="dc.Description">Setting up groups for users</Metadata>
 		</Description>
 	</FileSet>