Index: /main/trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java
===================================================================
--- /main/trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 34246)
+++ /main/trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 34247)
@@ -68,6 +68,4 @@
 import org.greenstone.gatherer.metadata.MetadataSetManager;
 import org.greenstone.gatherer.metadata.MetadataXMLFileManager;
-import org.greenstone.gatherer.metadata.MetadataElement;
-import org.greenstone.gatherer.metadata.MetadataValue;
 import org.greenstone.gatherer.metadata.ProfileXMLFileManager;
 import org.greenstone.gatherer.remote.RemoteGreenstoneServer;
@@ -156,40 +154,4 @@
     }
     
-    /** helper methods to export metadata for collection files to csv */
-    public TreeMap<File, ArrayList> getAllAssignedMetadataForAllFiles() {
-	TreeMap<File, ArrayList> files_with_meta = new TreeMap<File, ArrayList>();
-	
-	ArrayList<File> files = listFilesInCollection();
-	Iterator<File> i = files.iterator();
-	
-	while(i.hasNext()) {
-	    File f = i.next();
-	    ArrayList file_meta = MetadataXMLFileManager.getMetadataAssignedToFile(f);
-	    files_with_meta.put(f, file_meta);
-	    
-	    // debugging display
-	    System.err.println("Meta for file: " + f.getAbsolutePath());
-	    Iterator it = file_meta.iterator();
-	    while(it.hasNext()) {
-		MetadataValue meta = (MetadataValue)it.next();
-		String metaVal = meta.getValue();
-		MetadataElement metaEl = meta.getMetadataElement();
-		String metaName = metaEl.getFullName();
-		System.err.println("   field: " + metaName);
-		System.err.println("   value: " + metaVal);
-	    }
-
-	}
-
-	return files_with_meta;
-    }
-    
-    public ArrayList<File> listFilesInCollection() {
-	ArrayList<File> files = new ArrayList<File>();
-	if(collection_tree_model != null) {
-	    collection_tree_model.getFileListing(files);
-	}
-	return files;
-    }
     
     static public void addCollectionContentsChangedListener(CollectionContentsChangedListener listener)
@@ -1350,21 +1312,7 @@
 		    Gatherer.remoteGreenstoneServer.uploadCollectionFile(collection.getGroupQualifiedName(false), metadata_set_file);
 		}
-		
-		// It's not enough that the local collection's mds file in gli user location
-		// (e.g. AppData/Roaming/Greenstone/GLI/collect/<collname>/metadata gets updated,
-		// Need to also update local GS3's installation's gli/metadatacopy of the .mds file
-		if (metadata_set_file.exists()) {
-		    System.err.println("@@@ Replacing: " + metadata_set_file);
-		    System.err.println("@@@ With: " + external_metadata_set_file);
-		    
-		    // delete GLI's copy and replace
-		    //if(metadata_set_file.delete()) { // only if deletion was sucessful, try to replace
-		    //Gatherer.f_man.getQueue().copyFile(external_metadata_set_file, metadata_set_file, true);// true for overwrite
-		    //}
-		    
-		}
 	} catch (Exception exception) {
 	    DebugStream.printStackTrace(exception);
-	}	
+	}
     }
     
Index: /main/trunk/gli/src/org/greenstone/gatherer/file/FileSystemModel.java
===================================================================
--- /main/trunk/gli/src/org/greenstone/gatherer/file/FileSystemModel.java	(revision 34246)
+++ /main/trunk/gli/src/org/greenstone/gatherer/file/FileSystemModel.java	(revision 34247)
@@ -35,24 +35,4 @@
 	getFileListing(root, files);
 	return;
-    }
-    
-    private void getFileListing(TreeNode node, ArrayList<File> files) {
-	if(node == null) return;
-	
-	if(!(node instanceof FileNode)) {
-	    return;
-	} else {
-	    FileNode current = (FileNode)node;
-	    files.add(current.getFile());
-	    if(current.isLeaf()) {
-		return;
-	    }
-	    
-	    Enumeration children = current.children();	    
-	    while(children.hasMoreElements()) {
-		FileNode child = (FileNode)children.nextElement();
-		getFileListing(child, files);
-	    }
-	}
     }
     
Index: /main/trunk/gli/src/org/greenstone/gatherer/gui/GUIManager.java
===================================================================
--- /main/trunk/gli/src/org/greenstone/gatherer/gui/GUIManager.java	(revision 34246)
+++ /main/trunk/gli/src/org/greenstone/gatherer/gui/GUIManager.java	(revision 34247)
@@ -305,6 +305,4 @@
 		//Gatherer.c_man.saveCollection(); //shouldn't have to do this, in theory. See above comment
 
-		Gatherer.c_man.getAllAssignedMetadataForAllFiles();
-		
 		ConfigFileEditor configEditor = new ConfigFileEditor();
 		configEditor.setVisible(true);